Bug 1066394 - (CVE-2013-4537) CVE-2013-4537 qemu: ssi-sd: buffer overrun on invalid state load
CVE-2013-4537 qemu: ssi-sd: buffer overrun on invalid state load
Status: CLOSED NOTABUG
Product: Security Response
Classification: Other
Component: vulnerability (Show other bugs)
unspecified
All Linux
medium Severity medium
: ---
: ---
Assigned To: Red Hat Product Security
impact=moderate,public=20131203,repor...
: Security
Depends On: 1095760 1095761 1095762
Blocks: 1036654
  Show dependency treegraph
 
Reported: 2014-02-18 05:22 EST by Petr Matousek
Modified: 2014-09-22 07:27 EDT (History)
25 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2014-09-22 07:27:46 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Petr Matousek 2014-02-18 05:22:18 EST
s->arglen is taken from wire and used as idx in ssi_sd_transfer().

An user able to alter the savevm data (either on the disk or over the wire
during migration) could use this flaw to to corrupt QEMU process memory on
the (destination) host, which could potentially result in arbitrary code
execution on the host with the privileges of the QEMU process.

Upstream fix:
-------------
  -> http://git.qemu.org/?p=qemu.git;a=commit;h=a9c380db3b8c6af19546a68145c8d1438a09c92b
Comment 1 Petr Matousek 2014-02-18 06:38:06 EST
Statement:

Not vulnerable.

This issue does not affect the versions of kvm package as shipped with
Red Hat Enterprise Linux 5.

This issue does not affect the versions of qemu-kvm package as shipped
with Red Hat Enterprise Linux 6
Comment 3 Prasad J Pandit 2014-05-08 09:27:27 EDT
Created qemu tracking bugs for this issue:

Affects: fedora-all [bug 1095760]
Comment 4 Fedora Update System 2014-05-16 05:58:42 EDT
qemu-1.6.2-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.

Note You need to log in before you can comment on or make changes to this bug.